local m = {}
m.Tick = 0

m.Animations = {}
m.Templates = {}

--== DEFINE YOUR ANIMATIONS HERE ==--

-- Example: m.Templates.<Name> = {"<Template Image>",Width,Height,Frames[,TicksPerFrame = 1[,StartY = 1]]}

--m.Templates.SkullSpin = {"Assets_Images/Skull.png",50,50,32,2}
m.Templates.Tile_TallgrassLeft = {"Assets_Images/GrassTiles.png",32,32,3,5,0}
m.Templates.Tile_TallgrassRight = {"Assets_Images/GrassTiles.png",32,32,3,5,32}
m.Templates.Tile_SnowTallgrassLeft = {"Assets_Images/GrassTiles.png",32,32,3,5,64}
m.Templates.Tile_SnowTallgrassRight = {"Assets_Images/GrassTiles.png",32,32,3,5,96}
m.Templates.Tile_TwilightTallgrassLeft = {"Assets_Images/GrassTiles.png",32,32,3,5,128}
m.Templates.Tile_TwilightTallgrassRight = {"Assets_Images/GrassTiles.png",32,32,3,5,160}
m.Templates.Tile_SunsetTallgrassLeft = {"Assets_Images/GrassTiles.png",32,32,3,5,192}
m.Templates.Tile_SunsetTallgrassRight = {"Assets_Images/GrassTiles.png",32,32,3,5,224}
m.Templates.Tile_DarkTallgrassLeft = {"Assets_Images/GrassTiles.png",32,32,3,5,256}
m.Templates.Tile_DarkTallgrassRight = {"Assets_Images/GrassTiles.png",32,32,3,5,288}
m.Templates.Tile_DesertTallgrassLeft = {"Assets_Images/GrassTiles.png",32,32,3,5,320}
m.Templates.Tile_DesertTallgrassRight = {"Assets_Images/GrassTiles.png",32,32,3,5,352}
m.Templates.Tile_FallingLavaLeft = {"Assets_Images/FallingLavaTiles.png",32,32,16,1,0}
m.Templates.Tile_FallingLavaRight = {"Assets_Images/FallingLavaTiles.png",32,32,16,1,32}


-------------------------------------

function Clamp(A,B,V)
	return ((V-A)%B)+A
end

for k,v in pairs(m.Templates) do
	m.Animations[k] = {}
	m.Animations[k].TicksPerFrame = v[5] or 1
	m.Animations[k].Frames = v[4]
	local Template = love.image.newImageData(v[1])
	for i=1,v[4],1 do
		m.Animations[k][i] = love.image.newImageData(v[2],v[3])
		m.Animations[k][i]:paste(Template,0,0,(i-1)*v[2],v[6] or 0,v[2],v[3]) --i*v[2]
		m.Animations[k][i] = love.graphics.newImage(m.Animations[k][i])
	end
	Template:release()
end

function m.UpdateTick()
	m.Tick = m.Tick + 1
end

function m.GetDrawable(AnimName)
	local Animation = m.Animations[AnimName]
	local TicksPerFrame = Animation.TicksPerFrame
	local TotalFrames = Animation.Frames
	return Animation[Clamp(1,TotalFrames,math.floor(m.Tick/TicksPerFrame))]
end

function m.GetFrame(Animation,Frame)
	return m.Animations[Animation][Frame]
end

return m
