local m = {}

function m.CompressChunk(Chunk)
	local Final = ""
	for k,v in pairs(Chunk) do
		if not tonumber(k) then
			Final = Final..k.."="..v.."\n"
		end
	end
	Final = Final.."("
	for Z=0,2,1 do
		for Y=1,32,1 do
			for X=1,32,1 do
				Final = Final..Chunk[X][Y][Z]..";"
			end
			Final = Final.."\n"
		end
		Final = Final.."@\n"
	end
	return Final
end

function m.DecompressChunk(Chunk)
	local Final = {}
	for X=1,32,1 do
		Final[X] = {}
		for Y=1,32,1 do
		Final[X][Y] = {}
			for Z=0,2,1 do
				Final[X][Y][Z] = "~"
			end
		end
	end
	local HeaderEnd = string.find(Chunk,"%(")
	local Header = string.sub(Chunk,1,HeaderEnd-1)
	for Item in string.gmatch(Header,"%S+") do
		local Key = string.sub(Item,1,string.find(Item,"=")-1)
		local Value = string.sub(Item,string.find(Item,"=")+1,-1)
		Final[Key] = Value
	end
	local Body = string.sub(Chunk,HeaderEnd+1,-1)
	local Item = ""
	local CurrentX = 1
	local CurrentY = 1
	local CurrentZ = 0
	for i=1,#Body,1 do
		local Char = string.sub(Body,i,i)
		if Char == "@" then
			CurrentX = 1
			CurrentY = 1
			CurrentZ = CurrentZ + 1
			Item = ""
		elseif Char == "\n" and string.sub(Body,i-1,i-1) ~= "@" then
			CurrentX = 1
			CurrentY = CurrentY + 1
			Item = ""
		elseif Char == ";" then
			Final[CurrentX][CurrentY][CurrentZ] = Item
			Item = ""
			CurrentX = CurrentX + 1
		else
			if Char ~= "@" and Char ~= "\n" and Char ~= ";" then
				Item = Item .. Char
			end
		end
	end
	return Final
end
--[[
function m.ChunkFromDefaultWorld(FileName)
	local Path = "DefaultWorld/Chunks/"..FileName
	local File,Err = love.filesystem.newFileData(Path)
	if Err then
		return false
	end
	return m.DecompressChunk(File:getString())
end
--]]
return m
