local m = {}
m.Tile = {}
function m.Tile.New(TX,TY,Col,Con,Animation,Special,Specialval)
	local Final = {}
	Final.TileSetX = TX or 1
	Final.TileSetY = TY or 1
	Final.Collision = Col or 1
	-- 0 : No collision
	-- 1 : Solid
	-- 2 : Semi-solid platform
	-- 3 : Hazard (Like spikes)
	-- 4 : Lethal hazard (Like lava)
	-- 5 : Top-left quarter
	-- 6 : Top-right quarter
	-- 7 : Lower-left quarter
	-- 8 : Lower-right quarter
	Final.Container = Con or 0
	-- 0 : Contains nothing
	-- 1 : Super mushroom
	-- 2 : Fireflower
	-- 3 : Bouncing beatroot
	-- 4 : Jumping lui
	-- 5 : Poison mushroom
	-- 6 : Coin
	-- 7 : 10 Coins
	Final.Animated = Animation or ""
	--[[
		if not set to "", then it will get tile image from
		AnimatedDrawables, using this feild as a query, useful for
		things like grass, lava, and 
	--]]
	Final.Special = Special or 0
	-- 0 : No special function
	-- 1 : Key
	-- 2 : Door
	-- 3 : Checkpoint
	-- 4 : Bricks
	Final.SpecialVal = SpecialVal or 0
	return Final
end

--m.Tiles. = m.Tile.New(1,1,1)

m.Tiles = {}
-- Terrain
m.Tiles.GrassTopLeft = m.Tile.New(1,1,1)
m.Tiles.GrassTop = m.Tile.New(2,1,1)
m.Tiles.GrassTopRight = m.Tile.New(3,1,1)
m.Tiles.GrassMiddleLeft = m.Tile.New(1,2,1)
m.Tiles.GrassMiddle = m.Tile.New(2,2,1)
m.Tiles.GrassMiddleRight = m.Tile.New(3,2,1)
m.Tiles.GrassLowerLeft = m.Tile.New(4,19,1)
m.Tiles.GrassLower = m.Tile.New(5,19,1)
m.Tiles.GrassLowerRight = m.Tile.New(6,19,1)
m.Tiles.RockTopLeft = m.Tile.New(9,6,1)
m.Tiles.RockTop = m.Tile.New(10,6,1)
m.Tiles.RockTopRight = m.Tile.New(11,6,1)
m.Tiles.RockMiddleLeft = m.Tile.New(9,7,1)
m.Tiles.RockMiddle = m.Tile.New(10,7,1)
m.Tiles.RockMiddleRight = m.Tile.New(11,7,1)
m.Tiles.RockLowerLeft = m.Tile.New(7,17,1)
m.Tiles.RockLower = m.Tile.New(8,17,1)
m.Tiles.RockLowerRight = m.Tile.New(9,17,1)
m.Tiles.SunsetTopLeft = m.Tile.New(12,4,1)
m.Tiles.SunsetTop = m.Tile.New(13,4,1)
m.Tiles.SunsetTopRight = m.Tile.New(14,4,1)
m.Tiles.SunsetMiddleLeft = m.Tile.New(12,5,1)
m.Tiles.SunsetMiddle = m.Tile.New(13,5,1)
m.Tiles.SunsetMiddleRight = m.Tile.New(14,5,1)
m.Tiles.SunsetLowerLeft = m.Tile.New(4,18,1)
m.Tiles.SunsetLower = m.Tile.New(5,18,1)
m.Tiles.SunsetLowerRight = m.Tile.New(6,18,1)
m.Tiles.SnowTopLeft = m.Tile.New(12,7,1)
m.Tiles.SnowTop = m.Tile.New(13,7,1)
m.Tiles.SnowTopRight = m.Tile.New(14,7,1)
m.Tiles.SnowMiddleLeft = m.Tile.New(15,7,1)
m.Tiles.SnowMiddle = m.Tile.New(16,7,1)
m.Tiles.SnowMiddleRight = m.Tile.New(17,2,1)
m.Tiles.SnowLowerLeft = m.Tile.New(4,17,1)
m.Tiles.SnowLower = m.Tile.New(5,17,1)
m.Tiles.SnowLowerRight = m.Tile.New(6,17,1)
m.Tiles.BlueSnowTopLeft = m.Tile.New(18,5,1)
m.Tiles.BlueSnowTop = m.Tile.New(17,6,1)
m.Tiles.BlueSnowTopRight = m.Tile.New(19,5,1)
m.Tiles.BlueSnowMiddleLeft = m.Tile.New(17,7,1)
m.Tiles.BlueSnowMiddle = m.Tile.New(18,7,1)
m.Tiles.BlueSnowMiddleRight = m.Tile.New(19,7,1)
m.Tiles.BlueSnowLowerLeft = m.Tile.New(4,16,1)
m.Tiles.BlueSnowLower = m.Tile.New(5,16,1)
m.Tiles.BlueSnowLowerRight = m.Tile.New(6,16,1)
m.Tiles.SunriseTopLeft = m.Tile.New(9,4,1)
m.Tiles.SunriseTop = m.Tile.New(10,4,1)
m.Tiles.SunriseTopRight = m.Tile.New(11,4,1)
m.Tiles.SunriseMiddleLeft = m.Tile.New(10,4,1)
m.Tiles.SunriseMiddle = m.Tile.New(10,5,1)
m.Tiles.SunriseMiddleRight = m.Tile.New(11,5,1)
m.Tiles.SunriseLowerLeft = m.Tile.New(1,18,1)
m.Tiles.SunriseLower = m.Tile.New(2,18,1)
m.Tiles.SunriseLowerRight = m.Tile.New(3,18,1)
m.Tiles.SkyGrassTopLeft = m.Tile.New(9,2,1)
m.Tiles.SkyGrassTop = m.Tile.New(10,2,1)
m.Tiles.SkyGrassTopRight = m.Tile.New(11,2,1)
m.Tiles.SkyGrassMiddleLeft = m.Tile.New(9,3,1)
m.Tiles.SkyGrassMiddle = m.Tile.New(10,3,1)
m.Tiles.SkyGrassMiddleRight = m.Tile.New(11,3,1)
m.Tiles.SkyGrassLowerLeft = m.Tile.New(7,18,1)
m.Tiles.SkyGrassLower = m.Tile.New(8,18,1)
m.Tiles.SkyGrassLowerRight = m.Tile.New(9,18,1)
m.Tiles.SandstoneRockTopLeft = m.Tile.New(1,12,1)
m.Tiles.SandstoneRockTop = m.Tile.New(2,12,1)
m.Tiles.SandstoneRockTopRight = m.Tile.New(3,12,1)
m.Tiles.SandstoneRockMiddleLeft = m.Tile.New(1,13,1)
m.Tiles.SandstoneRockMiddle = m.Tile.New(2,13,1)
m.Tiles.SandstoneRockMiddleRight = m.Tile.New(3,13,1)
m.Tiles.SandstoneRockLowerLeft = m.Tile.New(1,17,1)
m.Tiles.SandstoneRockLower = m.Tile.New(2,17,1)
m.Tiles.SandstoneRockLowerRight = m.Tile.New(3,17,1)
m.Tiles.SandTopLeft = m.Tile.New(4,12,1)
m.Tiles.SandTop = m.Tile.New(5,12,1)
m.Tiles.SandTopRight = m.Tile.New(6,12,1)
m.Tiles.SandMiddleLeft = m.Tile.New(4,13,1)
m.Tiles.SandMiddle = m.Tile.New(5,13,1)
m.Tiles.SandMiddleRight = m.Tile.New(6,13,1)
m.Tiles.SandLowerLeft = m.Tile.New(4,14,1)
m.Tiles.SandLower = m.Tile.New(5,14,1)
m.Tiles.SandLowerRight = m.Tile.New(6,14,1)
m.Tiles.YellowSandTopLeft = m.Tile.New(7,12,1)
m.Tiles.YellowSandTop = m.Tile.New(8,12,1)
m.Tiles.YellowSandTopRight = m.Tile.New(9,12,1)
m.Tiles.YellowSandMiddleLeft = m.Tile.New(7,13,1)
m.Tiles.YellowSandMiddle = m.Tile.New(8,13,1)
m.Tiles.YellowSandMiddleRight = m.Tile.New(9,13,1)
m.Tiles.YellowSandLowerLeft = m.Tile.New(7,14,1)
m.Tiles.YellowSandLower = m.Tile.New(8,14,1)
m.Tiles.YellowSandLowerRight = m.Tile.New(9,14,1)
m.Tiles.DarkGrassTopLeft = m.Tile.New(1,14,1)
m.Tiles.DarkGrassTop = m.Tile.New(2,14,1)
m.Tiles.DarkGrassTopRight = m.Tile.New(3,14,1)
m.Tiles.DarkGrassMiddleLeft = m.Tile.New(1,15,1)
m.Tiles.DarkGrassMiddle = m.Tile.New(2,15,1)
m.Tiles.DarkGrassMiddleRight = m.Tile.New(3,15,1)
m.Tiles.DarkGrassLowerLeft = m.Tile.New(1,19,1)
m.Tiles.DarkGrassLower = m.Tile.New(2,19,1)
m.Tiles.DarkGrassLowerRight = m.Tile.New(3,19,1)
m.Tiles.CastleTopLeft = m.Tile.New(3,10,1)
m.Tiles.CastleTop = m.Tile.New(4,10,1)
m.Tiles.CastleTopRight = m.Tile.New(5,10,1)
m.Tiles.CastleMiddleLeft = m.Tile.New(1,10,1)
m.Tiles.CastleMiddle = m.Tile.New(2,10,1)
m.Tiles.CastleMiddleRight = m.Tile.New(16,2,1)
m.Tiles.CastleLowerLeft = m.Tile.New(1,11,1)
m.Tiles.CastleLower = m.Tile.New(2,11,1)
m.Tiles.CastleLowerRight = m.Tile.New(1,9,1)
m.Tiles.TwilightGrassTopLeft = m.Tile.New(3,8,1)
m.Tiles.TwilightGrassTop = m.Tile.New(4,8,1)
m.Tiles.TwilightGrassTopRight = m.Tile.New(5,8,1)
m.Tiles.TwilightGrassMiddleLeft = m.Tile.New(3,9,1)
m.Tiles.TwilightGrassMiddle = m.Tile.New(4,9,1)
m.Tiles.TwilightGrassMiddleRight = m.Tile.New(5,9,1)
m.Tiles.TwilightGrassLowerLeft = m.Tile.New(7,19,1)
m.Tiles.TwilightGrassLower = m.Tile.New(8,19,1)
m.Tiles.TwilightGrassLowerRight = m.Tile.New(9,19,1)
m.Tiles.BowserPlatformLeft = m.Tile.New(12,6,1)
m.Tiles.BowserPlatform = m.Tile.New(13,6,1)
m.Tiles.BowserPlatformRight = m.Tile.New(14,6,1)
m.Tiles.ReversedBowserPlatformLeft = m.Tile.New(7,16,1)
m.Tiles.ReversedBowserPlatform = m.Tile.New(8,16,1)
m.Tiles.ReversedBowserPlatformRight = m.Tile.New(9,16,1)
m.Tiles.DarkRockTop = m.Tile.New(20,2,5)
m.Tiles.DarkRockMiddle = m.Tile.New(20,3,5)
m.Tiles.DarkRockMiddleRight = m.Tile.New(20,4,5)
m.Tiles.DarkRockMiddleLeft = m.Tile.New(20,5,8)
m.Tiles.DarkRockTopLeft = m.Tile.New(18,6,1)
m.Tiles.DarkRockTopRight = m.Tile.New(19,6,1)
m.Tiles.DarkRockLowerLeft = m.Tile.New(1,16,1)
m.Tiles.DarkRockLower = m.Tile.New(2,16,1)
m.Tiles.DarkRockLowerRight = m.Tile.New(3,16,1)
m.Tiles.CastleLeft = m.Tile.New(15,4,1)
m.Tiles.CastleRight = m.Tile.New(16,4,1)
m.Tiles.CastleBlock = m.Tile.New(15,5,1)
m.Tiles.SandstoneCastleLeft = m.Tile.New(15,6,1)
m.Tiles.SandstoneCastleRight = m.Tile.New(16,6,1)
m.Tiles.SandstoneCastleBlock = m.Tile.New(16,5,1)
-- Generic blocks
m.Tiles.Block = m.Tile.New(3,3,1)
m.Tiles.BlockShiny = m.Tile.New(5,5,1)
m.Tiles.BlockUnderground = m.Tile.New(4,3,1)
m.Tiles.BlockDesert = m.Tile.New(4,2,1)
m.Tiles.BlockRed = m.Tile.New(8,2,1)
m.Tiles.BlockYellow = m.Tile.New(8,3,1)
m.Tiles.BlockTurquoise = m.Tile.New(8,4,1)
m.Tiles.BlockCyan = m.Tile.New(8,5,1)
m.Tiles.BlockPink = m.Tile.New(8,6,1)
m.Tiles.BlockWhite = m.Tile.New(8,7,1)
m.Tiles.BlockGhostly = m.Tile.New(8,8,1)
m.Tiles.BlockCastle = m.Tile.New(8,9,1)
m.Tiles.BlockCastleShiny = m.Tile.New(8,10,1)
m.Tiles.BlockRedShiny = m.Tile.New(7,2,1)
m.Tiles.BlockYellowShiny = m.Tile.New(7,3,1)
m.Tiles.BlockTurquoiseShiny = m.Tile.New(7,4,1)
m.Tiles.BlockCyanShiny = m.Tile.New(7,5,1)
m.Tiles.BlockPinkShiny = m.Tile.New(7,6,1)
m.Tiles.BlockUndergroundShiny = m.Tile.New(7,7,1)
m.Tiles.BlockWhiteShiny = m.Tile.New(7,8,1)
m.Tiles.BowserBridgeSupport = m.Tile.New(20,7,0)
m.Tiles.Coral = m.Tile.New(20,6,1)
m.Tiles.CoralRed = m.Tile.New(8,1,1)
m.Tiles.CoralYellow = m.Tile.New(9,1,1)
m.Tiles.CoralGreen = m.Tile.New(10,1,1)
m.Tiles.CoralDarkGreen = m.Tile.New(11,1,1)
m.Tiles.CoralCyan = m.Tile.New(12,1,1)
m.Tiles.CoralBlue = m.Tile.New(13,1,1)
m.Tiles.CoralDarkBlue = m.Tile.New(14,1,1)
m.Tiles.CoralGray = m.Tile.New(15,1,1)
m.Tiles.CoralBlock = m.Tile.New(7,9,1)
m.Tiles.CoralBlockRed = m.Tile.New(12,11,1)
m.Tiles.CoralBlockOrange = m.Tile.New(13,11,1)
m.Tiles.CoralBlockYellow = m.Tile.New(14,11,1)
m.Tiles.CoralBlockGreen = m.Tile.New(15,11,1)
m.Tiles.CoralBlockPurple = m.Tile.New(14,10,1)
m.Tiles.CoralBlockBlack = m.Tile.New(15,10,1)
m.Tiles.CoralBlockBlue = m.Tile.New(24,10,1)
m.Tiles.CoralBlockCyan = m.Tile.New(23,10,1)
m.Tiles.CoralBlockGray = m.Tile.New(18,15,1)
m.Tiles.CoralBlockWhite = m.Tile.New(16,15,1)
m.Tiles.Cloud = m.Tile.New(7,10,2)
m.Tiles.QuarterBlockTopLeft = m.Tile.New(16,1,5)
m.Tiles.QuarterBlockTopRight = m.Tile.New(17,1,6)
m.Tiles.QuarterBlockBottomLeft = m.Tile.New(18,1,7)
m.Tiles.QuarterBlockBottomRight = m.Tile.New(19,1,8)
m.Tiles.QuarterBlockUndergroundTopLeft = m.Tile.New(21,2,5)
m.Tiles.QuarterBlockUndergroundTopRight = m.Tile.New(21,1,6)
m.Tiles.QuarterBlockUndergroundBottomLeft = m.Tile.New(21,3,7)
m.Tiles.QuarterBlockUndergroundBottomRight = m.Tile.New(21,4,8)
m.Tiles.QuarterBlockCastleTopLeft = m.Tile.New(13,15,5)
m.Tiles.QuarterBlockCastleTopRight = m.Tile.New(14,15,6)
m.Tiles.QuarterBlockCastleBottomLeft = m.Tile.New(13,16,7)
m.Tiles.QuarterBlockCastleBottomRight = m.Tile.New(14,16,8)
m.Tiles.ColorCloud = m.Tile.New(20,1,2)
m.Tiles.DarkCloud = m.Tile.New(10,15,2)
m.Tiles.GiantBlockTopLeft = m.Tile.New(5,1,1)
m.Tiles.GiantBlockBottomLeft = m.Tile.New(5,2,1)
m.Tiles.GiantBlockTopRight = m.Tile.New(5,3,1)
m.Tiles.GiantBlockBottomRight = m.Tile.New(5,4,1)
m.Tiles.GiantBlockUndergroundTopLeft = m.Tile.New(1,5,1)
m.Tiles.GiantBlockUndergroundTopRight = m.Tile.New(2,5,1)
m.Tiles.GiantBlockUndergroundBottomLeft = m.Tile.New(3,5,1)
m.Tiles.GiantBlockUndergroundBottomRight = m.Tile.New(4,5,1)
m.Tiles.GiantBlockCastleTopLeft = m.Tile.New(11,15,1)
m.Tiles.GiantBlockCastleTopRight = m.Tile.New(12,15,1)
m.Tiles.GiantBlockCastleBottomLeft = m.Tile.New(11,16,1)
m.Tiles.GiantBlockCastleBottomRight = m.Tile.New(12,16,1)
m.Tiles.SandstoneCastleMiddleLeft = m.Tile.New(18,2,1)
m.Tiles.SandstoneCastleMiddle = m.Tile.New(19,2,1)
m.Tiles.SandstoneCastleMiddleRight = m.Tile.New(17,5,1)
m.Tiles.SandstoneCastleTopLeft = m.Tile.New(17,3,1)
m.Tiles.SandstoneCastleTop = m.Tile.New(18,3,1)
m.Tiles.SandstoneCastleTopRight = m.Tile.New(19,3,1)
m.Tiles.SandstoneCastleBottomLeft = m.Tile.New(17,4,1)
m.Tiles.SandstoneCastleBottom = m.Tile.New(18,4,1)
m.Tiles.SandstoneCastleBottomRight = m.Tile.New(19,4,1)
-- Pipes
m.Tiles.PipeUpperLeft = m.Tile.New(1,4,1)
m.Tiles.PipeUpperRight = m.Tile.New(2,4,1)
m.Tiles.PipeMiddleLeft = m.Tile.New(3,4,1)
m.Tiles.PipeMiddleRight = m.Tile.New(4,4,1)
m.Tiles.PipeLowerRight = m.Tile.New(1,7,1)
m.Tiles.PipeLowerLeft = m.Tile.New(1,8,1)
m.Tiles.BluePipeMiddleRight = m.Tile.New(20,9,1)
m.Tiles.BluePipeMiddleLeft = m.Tile.New(20,8,1)
m.Tiles.BluePipeUpperRight = m.Tile.New(20,10,1)
m.Tiles.BluePipeLowerRight = m.Tile.New(20,11,1)
m.Tiles.BluePipeUpperLeft = m.Tile.New(19,10,1)
m.Tiles.BluePipeLowerLeft = m.Tile.New(19,11,1)
m.Tiles.RedPipeMiddleLeft = m.Tile.New(21,8,1)
m.Tiles.RedPipeMiddleRight = m.Tile.New(21,9,1)
m.Tiles.RedPipeUpperRight = m.Tile.New(23,4,1)
m.Tiles.RedPipeLowerRight = m.Tile.New(23,5,1)
m.Tiles.RedPipeUpperLeft = m.Tile.New(22,4,1)
m.Tiles.RedPipeLowerLeft = m.Tile.New(22,5,1)
m.Tiles.SidewaysPipeLowerLeft = m.Tile.New(3,7,1)
m.Tiles.SidewaysPipeUpperLeft = m.Tile.New(3,6,1)
m.Tiles.SidewaysPipeLowerMiddle = m.Tile.New(4,7,1)
m.Tiles.SidewaysPipeUpperMiddle = m.Tile.New(4,6,1)
m.Tiles.SidewaysPipeLowerRight = m.Tile.New(5,7,1)
m.Tiles.SidewaysPipeUpperRight = m.Tile.New(5,6,1)
-- Athletic platforms
m.Tiles.AthleticPlatformLeft = m.Tile.New(22,1,1)
m.Tiles.AthleticPlatformCenter = m.Tile.New(23,1,1)
m.Tiles.AthleticPlatformRight = m.Tile.New(24,1,1)
-- Containers (? blocks and bricks)
m.Tiles.Bricks = m.Tile.New(6,1,1,0,"",0,0,0)
m.Tiles.BricksMushroom = m.Tile.New(6,1,1,0,"",0,1,0)
m.Tiles.BricksFireflower = m.Tile.New(6,1,1,0,"",0,2,0)
m.Tiles.BricksBeatroot = m.Tile.New(6,1,1,0,"",0,3,0)
m.Tiles.BricksLui = m.Tile.New(6,1,1,0,"",0,4,0)
m.Tiles.BricksPoison = m.Tile.New(6,1,1,0,"",0,5,0)
m.Tiles.BricksCoin = m.Tile.New(6,1,1,0,"",0,6,1)
m.Tiles.Bricks10Coins = m.Tile.New(6,1,1,0,"",0,6,10)
m.Tiles.BricksCastle = m.Tile.New(24,9,1,0,"",0,0,0)
m.Tiles.BricksCastleMushroom = m.Tile.New(24,9,1,0,"",0,1,0)
m.Tiles.BricksCastleFireflower = m.Tile.New(24,9,1,0,"",0,2,0)
m.Tiles.BricksCastleBeatroot = m.Tile.New(24,9,1,0,"",0,3,0)
m.Tiles.BricksCastleLui = m.Tile.New(24,9,1,0,"",0,4,0)
m.Tiles.BricksCastlePoison = m.Tile.New(24,9,1,0,"",0,5,0)
m.Tiles.BricksCastleCoin = m.Tile.New(24,9,1,0,"",0,6,1)
m.Tiles.BricksCastle10Coins = m.Tile.New(24,9,1,0,"",0,6,10)
-- Scenery
m.Tiles.TreeLog = m.Tile.New(19,16,0)
m.Tiles.TwilightTreeLog = m.Tile.New(21,19,0)
m.Tiles.DarkTreeLog = m.Tile.New(22,19,0)
m.Tiles.TreeLeaves = m.Tile.New(18,16,0)
m.Tiles.TreeLeavesUpper = m.Tile.New(18,17,0)
m.Tiles.TreeLeavesLower = m.Tile.New(18,18,0)
m.Tiles.TreeLeavesMiddle = m.Tile.New(18,20,0)
m.Tiles.SunsetTreeLeaves = m.Tile.New(23,16,0)
m.Tiles.SunsetTreeLeavesUpper = m.Tile.New(23,17,0)
m.Tiles.SunsetTreeLeavesLower = m.Tile.New(23,18,0)
m.Tiles.SunsetTreeLeavesMiddle = m.Tile.New(23,19,0)
m.Tiles.SnowTreeLeaves = m.Tile.New(24,16,0)
m.Tiles.SnowTreeLeavesUpper = m.Tile.New(24,17,0)
m.Tiles.SnowTreeLeavesLower = m.Tile.New(24,18,0)
m.Tiles.SnowTreeLeavesMiddle = m.Tile.New(24,19,0)
m.Tiles.TallgrassLeft = m.Tile.New(1,1,0,0,"Tile_TallgrassLeft")
m.Tiles.TallgrassRight = m.Tile.New(1,1,0,0,"Tile_TallgrassRight")
m.Tiles.SnowTallgrassLeft = m.Tile.New(1,1,0,0,"Tile_SnowTallgrassLeft")
m.Tiles.SnowTallgrassRight = m.Tile.New(1,1,0,0,"Tile_SnowTallgrassRight")
m.Tiles.TwilightTallgrassLeft = m.Tile.New(1,1,0,0,"Tile_TwilightTallgrassLeft")
m.Tiles.TwilightTallgrassRight = m.Tile.New(1,1,0,0,"Tile_TwilightTallgrassRight")
m.Tiles.SunsetTallgrassLeft = m.Tile.New(1,1,0,0,"Tile_SunsetTallgrassLeft")
m.Tiles.SunsetTallgrassRight = m.Tile.New(1,1,0,0,"Tile_SunsetTallgrassRight")
m.Tiles.DarkTallgrassLeft = m.Tile.New(1,1,0,0,"Tile_DarkTallgrassLeft")
m.Tiles.DarkTallgrassRight = m.Tile.New(1,1,0,0,"Tile_DarkTallgrassRight")
m.Tiles.DesertTallgrassLeft = m.Tile.New(1,1,0,0,"Tile_DesertTallgrassLeft")
m.Tiles.DesertTallgrassRight = m.Tile.New(1,1,0,0,"Tile_DesertTallgrassRight")
m.Tiles.FallingLavaLeft = m.Tile.New(1,1,0,0,"Tile_FallingLavaLeft")
m.Tiles.FallingLavaRight = m.Tile.New(1,1,0,0,"Tile_FallingLavaRight")
m.Tiles.AthleticPlatformSunsetSupportLeft = m.Tile.New(14,17,0)
m.Tiles.AthleticPlatformSunsetSupportMiddle = m.Tile.New(15,17,0)
m.Tiles.AthleticPlatformSunsetSupportRight = m.Tile.New(16,17,0)
m.Tiles.AthleticPlatformSunsetSupport = m.Tile.New(17,17,0)
m.Tiles.AthleticPlatformOrangeSupportLeft = m.Tile.New(14,18,0)
m.Tiles.AthleticPlatformOrangeSupportMiddle = m.Tile.New(15,18,0)
m.Tiles.AthleticPlatformOrangeSupportRight = m.Tile.New(16,18,0)
m.Tiles.AthleticPlatformOrangeSupport = m.Tile.New(17,18,0)
m.Tiles.AthleticPlatformSupportLeft = m.Tile.New(14,19,0)
m.Tiles.AthleticPlatformSupportMiddle = m.Tile.New(15,19,0)
m.Tiles.AthleticPlatformSupportRight = m.Tile.New(16,19,0)
m.Tiles.AthleticPlatformSupport = m.Tile.New(17,19,0)
m.Tiles.AthleticPlatformGreenSupportLeft = m.Tile.New(14,20,0)
m.Tiles.AthleticPlatformGreenSupportMiddle = m.Tile.New(15,20,0)
m.Tiles.AthleticPlatformGreenSupportRight = m.Tile.New(16,20,0)
m.Tiles.AthleticPlatformGreenSupport = m.Tile.New(17,20,0)
m.Tiles.AthleticPlatformTwilightSupportLeft = m.Tile.New(14,21,0)
m.Tiles.AthleticPlatformTwilightSupportMiddle = m.Tile.New(15,21,0)
m.Tiles.AthleticPlatformTwilightSupportRight = m.Tile.New(16,21,0)
m.Tiles.AthleticPlatformTwilightSupport = m.Tile.New(17,21,0)
m.Tiles.AthleticPlatformPurpleSupportLeft = m.Tile.New(14,22,0)
m.Tiles.AthleticPlatformPurpleSupportMiddle = m.Tile.New(15,22,0)
m.Tiles.AthleticPlatformPurpleSupportRight = m.Tile.New(16,22,0)
m.Tiles.AthleticPlatformPurpleSupport = m.Tile.New(17,22,0)

return m
