local m = {}

local Elements = {}

--local ButtonSound = love.audio.newSource("Assets_Sounds/Button.wav","static")

local function UDim2(V,W,H)
	local W = love.graphics.getWidth()
	local H = love.graphics.getHeight()
	local X = (W*V[1])+V[2]
	local Y = (H*V[3])+V[4]
	return X,Y
end

local function MouseInRect(LeftX,UpperY,RightX,LowerY)
	local MouseX,MouseY = love.mouse.getX(),love.mouse.getY()
	local LX = MouseX>LeftX
	local RX = MouseX<RightX
	local UY = MouseY>UpperY
	local LY = MouseY<LowerY
	if LX and RX and UY and LY then
		return true
	end
	return false
end

local function TLen(t)
	local Final = 0
	for k,v in pairs(t) do
		Final = Final + 1
	end
	return Final
end

function m.GetElementByID(Id)
	for k,v in pairs(Elements) do
		if k == Id then
			return Element[k]
		end
	end
end

function m.SetElements(E)
	Elements = E
end

function m.GetElements()
	return Elements
end

function m.NewElement(Id,Type)
	Elements[Id] = Type()
	--[[
	Elements[Id].NewChild = function(ChildId,ChildType)
		Elements[Id].Children[ChildId] = ChildType()
		Elements[Id].Children[ChildId].Parent = Elements[Id]
		return Elements[Id].Children[ChildId]
	end
	--]]
	Elements[Id].FindFirstChild = function(ChildId)
		for k,v in pairs(Elements[Id].Children) do
			if k == ChildId then
				return v
			end
		end
		return false
	end
	return Elements[Id]
end

function m.DrawUI(W,H,Alpha,Ele)
	local ElementsList = Ele or Elements
	local OldR, OldG, OldB, OldA = love.graphics.getColor()
	if Alpha then
		love.graphics.setColor(OldR,OldG,OldB,Alpha)
	end
	local MouseX,MouseY = love.mouse.getX(),love.mouse.getY()
	for k,v in pairs(ElementsList) do
		love.graphics.setColor(1,1,1)
		if not Ele then
			v.AbsolutePos = {UDim2(v.Pos,W,H)}
			v.AbsoluteSize = {UDim2(v.Size,W,H)}
		else
			v.AbsolutePos = {UDim2(v.Pos,W,H)}
			v.AbsoluteSize = {UDim2(v.Size,W,H)}
			local OffsetX,OffsetY = UDim2(v.Parent.ChildOffset,v.Parent.AbsoluteSize[1],v.Parent.AbsoluteSize[2])
			v.AbsolutePos[1] = v.AbsolutePos[1] + v.Parent.AbsolutePos[1] + OffsetX
			v.AbsolutePos[2] = v.AbsolutePos[2] + v.Parent.AbsolutePos[2] + OffsetY
		end
		--print(v.AbsoluteSize[1],v.AbsoluteSize[2])
		v.Draw(MouseX,MouseY)
		if TLen(v.Children) > 0 then
			local LeftX,LowerY = UDim2(v.Pos,W,H)
			local RightX,UpperY = UDim2(v.Size,W,H)
			m.DrawUI(RightX,UpperY,Alpha,v.Children)
		end
	end
	if Alpha then
		love.graphics.setColor(OldR,OldG,OldB,OldA)
	end
end

function m.OnMouseDown(Button,Ele)
	local ElementsList = Elements
	if Ele then
		ElementsList = Ele
	end
	local MouseX,MouseY = love.mouse.getX(),love.mouse.getY()
	for k,v in pairs(ElementsList) do
		if TLen(v.Children) > 0 then
			m.OnMouseDown(Button,v.Children)
		end
		local LeftX = v.AbsolutePos[1]
		local UpperY = v.AbsolutePos[2]
		local RightX = v.AbsolutePos[1]+v.AbsoluteSize[1]
		local LowerY = v.AbsolutePos[2]+v.AbsoluteSize[2]
		if MouseInRect(LeftX,UpperY,RightX,LowerY) then
			v.OnMouseDown(MouseX,MouseY,Button)
			if v.ClickSound then
				--ButtonSound:stop()
				--ButtonSound:play()
			end
			v.Active = true
		end
	end
end

function m.OnMouseUp(Button,Ele)
	local ElementsList = Elements
	if Ele then
		ElementsList = Ele
	end
	local MouseX,MouseY = love.mouse.getX(),love.mouse.getY()
	for k,v in pairs(ElementsList) do
		if TLen(v.Children) > 0 then
			m.OnMouseUp(Button,v.Children)
		end
		local LeftX,UpperY = v.AbsolutePos[1],v.AbsolutePos[2]
		local RightX,LowerY = v.AbsolutePos[1]+v.AbsoluteSize[1],v.AbsolutePos[2]+v.AbsoluteSize[2]
		if MouseInRect(LeftX,UpperY,RightX,LowerY) then
			v.OnMouseUp(MouseX,MouseY,Button)
		end
	end
end

return m
